#!/bin/bash

version=`grep Version: *spec | sed -e 's/Version:\s*\(.*\)/\1/'`
filename="yui_${version}.zip"
tempdir="js-yui-${version}"
url="http://yui.github.io/yui2/archives/${filename}"

echo $version

rm -Rf ${tempdir}

wget ${url}
unzip ${filename}
rm ${filename}
mv yui ${tempdir}

pushd ${tempdir}
  # tests contain Java files licensed under MIT with "Evil" clause:
  # http://www.json.org/license.html
  rm -Rf tests
  # not needed
  rm -Rf as-docs assets docs examples releasenotes *.html build/uploader
  # remove mimified sources
  find . -name "*-min.js" -delete
  # remove flash
  find . -name "*.swf" -delete
popd

tar czvf js-yui-${version}-clean.tar.gz ${tempdir}

rm -Rf ${tempdir}

